Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: fout in update  (gelezen 989 keer)

Offline bwman

  • Lid
  • Steunpunt: Nee
fout in update
« Gepost op: 2013/09/15, 18:00:24 »
beste momenteel gebruik ik mint 15 olivia, werkt als een speer hier, maar nu krijg ik na het updaten van ratherapee een foutmelding, iemand een idee hoe dit op te lossen?

(Reading database ... 160046 files and directories currently installed.)
Preparing to replace rawtherapee 4.0.9-4 (using .../rawtherapee_4.0.11-1dhor~raring_amd64.deb) ...
Unpacking replacement rawtherapee ...
dpkg: error processing /var/cache/apt/archives/rawtherapee_4.0.11-1dhor~raring_amd64.deb (--unpack):
 trying to overwrite '/usr/share/rawtherapee/images/gtk-zoom-in.png', which is also in package rawtherapee-data 4.0.9-4
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/rawtherapee_4.0.11-1dhor~raring_amd64.deb
W: Waited for dpkg --assert-multi-arch but it wasn't there - dpkgGo (10: No child processes)
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:

firefighter is not something you do..........
                                         its something you are
nexus 5,  huawei P9 lite, elementary os, Ubuntu 16.10, mint cinamon,
Saab enthousiast

Online vanadium

  • Lid
  • Steunpunt: Nee
Re: fout in update
« Reactie #1 Gepost op: 2013/09/15, 18:37:59 »
Waarschijnlijk doe je de update door een gedownload deb bestand te installeren? Op de Rawtherapee site zie ik dat tot Ubuntu 12.10 ondersteund wordt. Ik weet niet op welke Ubuntu versie Mint Olivia gebouwd is, maar als Mint Olivia op 13.04 is gebaseerd, dan is er inderdaad geen garantie dat een DEB voor een andere Ubuntu versie werkt.

Offline bwman

  • Lid
  • Steunpunt: Nee
Re: fout in update
« Reactie #2 Gepost op: 2013/09/15, 18:48:27 »
rawtherapee is geinstalleerd via softwarecenter dus dat zou geen probleem mogen zijn
firefighter is not something you do..........
                                         its something you are
nexus 5,  huawei P9 lite, elementary os, Ubuntu 16.10, mint cinamon,
Saab enthousiast

Offline joop905

  • Lid
  • Steunpunt: Nee
Re: fout in update
« Reactie #3 Gepost op: 2013/09/15, 19:50:55 »
proberen het volgende commando eens:

sudo apt-get clean sudo apt-get update && sudo apt-get upgrade
Als je nog steeds eindigen met de zelfde fout, probeer dan:


sudo dpkg --configure -a sudo apt-get -f install

Online vanadium

  • Lid
  • Steunpunt: Nee
Re: fout in update
« Reactie #4 Gepost op: 2013/09/15, 19:54:39 »
rawtherapee is geinstalleerd via softwarecenter dus dat zou geen probleem mogen zijn
Het software centrum komt met Rawtherapee 4.09. Je update is dan toch wel buiten het softwarecentrum om. Eens de magische spreuken van joop905 proberen, zou ik zeggen. Verder eens nagaan op welke versie van Ubuntu je Mint is gebaseerd: zoals ik reeds zei, indien 13.04, dan zal je voorlopig niet kunnen updaten, wellicht (tenzij je zelf wil compileren).

Offline bwman

  • Lid
  • Steunpunt: Nee
Re: fout in update
« Reactie #5 Gepost op: 2013/09/15, 20:31:18 »
@joop
eerste terminal opdracht gaf deze foutmelding
Unpacking replacement rawtherapee ...
dpkg: error processing /var/cache/apt/archives/rawtherapee_4.0.11-1dhor~raring_amd64.deb (--unpack):
 trying to overwrite '/usr/share/rawtherapee/images/gtk-zoom-in.png', which is also in package rawtherapee-data 4.0.9-4
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Processing triggers for man-db ...
Processing triggers for ureadahead ...
ureadahead will be reprofiled on next reboot
Errors were encountered while processing:
 /var/cache/apt/archives/rawtherapee_4.0.11-1dhor~raring_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
tweede opdrachtjes gaven dit
sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.


firefighter is not something you do..........
                                         its something you are
nexus 5,  huawei P9 lite, elementary os, Ubuntu 16.10, mint cinamon,
Saab enthousiast

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: fout in update
« Reactie #6 Gepost op: 2013/09/16, 11:50:41 »
Wat geven de volgende commando's als resultaat?
apt-cache policy rawtherapee
apt-cache policy rawtherapee-data

Ik gok zo dat 1 van de 2 uit een PPA komt of van een gedownloade .deb en dat de ander uit de normale repo's komt (of uit een andere PPA.

Een tweede gok is dat je het op kan lossen door het -data pakket te verwijderen.

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: fout in update
« Reactie #7 Gepost op: 2013/09/18, 00:57:37 »
De oplossing is heel simpel:

cd /var/cache/apt/archives/
en dan:

sudo dpkg -i --force-overwrite rawtherapee_4.0.11-1dhor~raring_amd64.deb
(als dat niet werkt gebruik dan --force-all i.p.v. overwrite)

Offline bwman

  • Lid
  • Steunpunt: Nee
Re: fout in update
« Reactie #8 Gepost op: 2013/09/18, 01:11:31 »
sorry voor de late reactie voorlopig rawtherapee er af gegooid en ben nu bezig om photivo onder de knie te krijgen, zal later deze week rawtherapee er terug opzetten en de terminal spreuken eens uitvoeren raw th heeft nl heel goeie ruissoftware aan boord.
firefighter is not something you do..........
                                         its something you are
nexus 5,  huawei P9 lite, elementary os, Ubuntu 16.10, mint cinamon,
Saab enthousiast